#ifndef FD_Feod_h_
#define FD_Feod_h_

typedef struct {
	FL_FORM *Feod;
	FL_OBJECT *FileM;
	FL_OBJECT *MAM;
	FL_OBJECT *TestM;
	FL_OBJECT *CompM;
        FL_OBJECT *HelpM;
	FL_OBJECT *Pob;
	FL_OBJECT *Vob;
	FL_OBJECT *Oob;
        FL_OBJECT *PobL;
        FL_OBJECT *VobL;
        FL_OBJECT *OobL;
	FL_OBJECT *PobT;
	FL_OBJECT *VobT;
	FL_OBJECT *OobT;
	void *vdata;
	long ldata;
} FD_Feod;

FD_Feod *create_form_Feod(void)
{
  FL_OBJECT *obj;
  FD_Feod *fdui = (FD_Feod *) fl_calloc(1, sizeof(*fdui));

  fdui->Feod = fl_bgn_form(FL_UP_BOX, 980, 700);
  obj = fl_add_box(FL_UP_BOX,0,0,980,700,"");
  fdui->FileM = obj = fl_add_menu(FL_PULLDOWN_MENU,10,10,50,30,"File");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
    fl_set_menu(obj, "Open| |Exit");
  
  fdui->MAM = obj = fl_add_menu(FL_PULLDOWN_MENU,70,10,90,30,"MoveAverage");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
    fl_set_menu(obj, "Plot a MoveAverage|MoveAverage Oscillator");
  
  fdui->TestM = obj = fl_add_menu(FL_PULLDOWN_MENU,170,10,60,30,"Test");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
    fl_set_menu(obj, "Test today");
  
  fdui->CompM = obj = fl_add_menu(FL_PULLDOWN_MENU,240,10,70,30,"Compare");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
    fl_set_menu(obj, "Compare");
  
  fdui->HelpM = obj = fl_add_menu(FL_PULLDOWN_MENU,320,10,60,30,"Help");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_EMBOSSED_STYLE);
    fl_set_menu(obj, "About|Intro|Move Average|What's Test Today?!|Why Compare?|Bugs|Why the F... Should I pay you?");
  
  fdui->Pob = obj = fl_add_xyplot(FL_NORMAL_XYPLOT,30,50,800,300,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    obj->input=true;
    obj->wantkey=FL_KEY_SPECIAL;
  
  fdui->PobL = obj = fl_add_text(FL_NORMAL_TEXT,10,50,20,300,"P\nr\ni\nc\ne");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj, FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  
  fdui->Vob = obj = fl_add_xyplot(FL_FILL_XYPLOT,53,350,774,130,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    obj->input=true;
    obj->wantkey=FL_KEY_SPECIAL;
  
  fdui->VobL = obj = fl_add_text(FL_NORMAL_TEXT,10,350,20,130,"V\no\nl\nu\nm\ne");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj, FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  
  fdui->Oob = obj = fl_add_xyplot(FL_NORMAL_XYPLOT,53,480,774,210,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    obj->input=true;
    obj->wantkey=FL_KEY_SPECIAL;
  
  fdui->OobL = obj = fl_add_text(FL_NORMAL_TEXT,10,480,20,210,"O\ns\nc\ni\nl\nl\na\nt\no\nr");
    fl_set_object_boxtype(obj,FL_FLAT_BOX);
    fl_set_object_lsize(obj, FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE+FL_ENGRAVED_STYLE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  
  fdui->PobT = obj = fl_add_text(FL_NORMAL_TEXT,850,80,120,230,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  
  fdui->VobT = obj = fl_add_text(FL_NORMAL_TEXT,850,390,120,40,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  
  fdui->OobT = obj = fl_add_text(FL_NORMAL_TEXT,850,560,120,60,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  
  fl_end_form();

  return fdui;
}
#endif /* FD_Feod_h_ */
